@import url(https://use.fontawesome.com/releases/v5.6.1/css/all.css);

html,body{
    font-family: 'DIN Next Light', 'Noto Sans JP', sans-serif;
    font-size: 100%;
    width: 95%;
    margin: 0 auto;
}

header {
    /*オレンジ*/
    /* background-color: #DE5021; */
    /* background-color: #ffc0cb; */
    /* background-color: white; */
    margin-bottom: 20px;
    border-bottom: 1px solid var(--theme-color);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

footer {
    margin-top: auto;
    border-top: 1px solid var(--theme-color);
    height: 80px;
    display: flex;
    justify-content: center;
    padding-top: 2rem;
}

main {
    margin-bottom: 2rem;
}

a {
    color: var(--link-color);
    text-decoration: none;
    cursor: pointer;
}

a:hover {
    color: #0056b3;
    text-decoration: none;
}

h1 {
    font-size: larger;
    margin: 10px 0;
}

h2 {
    font-size: large;
    margin: 5px 0;
}

button {
    display: inline-block;
    font-weight: 500;
    padding: 0.5rem 1rem;
    border: 2px solid transparent;
    border-radius: 0.25rem;
    text-align: center;
    cursor: pointer;
}

button:hover {
    background-color: #0056b3;
    color: white;
    text-decoration: none;
}

button:disabled {
    background-color: #ccc;
    color: #666;
    cursor: not-allowed;
}

select {
    padding: 5px;
    border-radius: 5px;
    border: 1px solid #555;
}

input {
    padding: 5px;
    border-radius: 5px;
    border: 1px solid #555;
}

input[type="text"], input[type="password"], input[type="email"], input[type="number"] {
    width: 100%;
}

input[type="checkbox"] {
    width: 1rem;
    height: 1rem;
}